org.apache.lucene.analysis.cn

## Class ChineseAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.cn.ChineseAnalyzer

-     public class ChineseAnalyzer
      extends org.apache.lucene.analysis.Analyzer

  An `Analyzer` that tokenizes text with `ChineseTokenizer` and filters with `ChineseFilter`

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `overridesTokenStreamMethod`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChineseAnalyzer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.analysis.TokenStream` | `reusableTokenStream(java.lang.String fieldName, java.io.Reader reader)` Returns a (possibly reused) `TokenStream` which tokenizes all the text in the provided `Reader`.
    `org.apache.lucene.analysis.TokenStream` | `tokenStream(java.lang.String fieldName, java.io.Reader reader)` Creates a `TokenStream` which tokenizes all the text in the provided `Reader`.

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setOverridesTokenStreamMethod, setPreviousTokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChineseAnalyzer

          public ChineseAnalyzer()

  - ### Method Detail

    - #### tokenStream

          public final org.apache.lucene.analysis.TokenStream tokenStream(java.lang.String fieldName,
                                                                          java.io.Reader reader)

      Creates a `TokenStream` which tokenizes all the text in the provided `Reader`.
      Specified by:
        `tokenStream` in class `org.apache.lucene.analysis.Analyzer`
      Returns:
        A `TokenStream` built from a `ChineseTokenizer` filtered with `ChineseFilter`.

    - #### reusableTokenStream

          public final org.apache.lucene.analysis.TokenStream reusableTokenStream(java.lang.String fieldName,
                                                                                  java.io.Reader reader)
                                                                           throws java.io.IOException

      Returns a (possibly reused) `TokenStream` which tokenizes all the text in the provided `Reader`.
      Overrides:
        `reusableTokenStream` in class `org.apache.lucene.analysis.Analyzer`
      Returns:
        A `TokenStream` built from a `ChineseTokenizer` filtered with `ChineseFilter`.
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.